%define	name	xwhois
%define	version	0.3.4
%define	release	1
%define	serial	2

Summary:	X Windows Whois Tool
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Group:		X11/Utilities
Copyright:	GPL
Source:		%{name}-%{version}.tar.gz
Vendor:		Bjorn Lindgren <bjorn@goatnet.ml.org>
Url:		http://www.goatnet.ml.org/software.html
Distribution:	Freshmeat RPMs
Packager:	Ryan Weaver <ryanw@infohwy.com>
Buildroot:	/tmp/%{name}-%{version}-root

%description
xwhois is a small and fast query tool for the whois service. (rfc954)

%package	static
Summary:	X Windows Whois Tool
Group:		X11/Utilities
Conflicts:	%{name}

%description static
xwhois is a small and fast query tool for the whois service. (rfc954)
	### Statically Compiled ###

%prep

%setup -q
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

%build
make
mv  src/xwhois src/xwhois-dyn
make CC="gcc -static"
mv  src/xwhois src/xwhois-static
mv  src/xwhois-dyn src/xwhois

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

install -s -m 755  src/xwhois-static $RPM_BUILD_ROOT/usr/bin

%post   static
if [ ! -e /usr/bin/xwhois ]; then
        cd /usr/bin;
        ln -s xwhois-static xwhois;
fi

%preun  static
if [ -L /usr/bin/xwhois ]; then
        rm /usr/bin/xwhois;
fi

%clean
rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
/usr/bin/xwhois
/usr/share/xwhois
/usr/share/apps/Network/Xwhois.desktop
/usr/share/pixmaps/xwhois.xpm

%files	static
%defattr(-,root,root)
%doc README COPYING ChangeLog
/usr/bin/xwhois-static
/usr/share/xwhois
/usr/share/apps/Network/Xwhois.desktop
/usr/share/pixmaps/xwhois.xpm

%changelog
* Thu Apr  1 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.4-1]
- Building Static Binary.
- 1999-04-01 - release 0.3.4
- better GTK+ version checking in configure.in,
  now it works with all existing GTK+ versions.
- fixed possible BO issues and memory optimizion.
- Removed some unnessesary source and header files.
- Fix to the junk/trashing of query string problem.
- Removed enter button callback for gtk_combo->entry.
- Changed xwhois system default dir from
  $(prefix)/lib/xwhois to $(prefix)/share/xwhois.
- Added whois.nic.or.kr to whois server database.
- Created dialog for adding, removing, changing
  whois server entrys.

* Fri Feb 26 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.3-2]
- Building against GTK+ 1.1.15

* Wed Feb 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.3-1]
- 1999-02-10 - release 0.3.3
- * fixes problems with the GTK+ development branch, should work ok
    with GTK+ 1.1.15

* Tue Feb  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.2-1]
- 1999-02-09 - release 0.3.2
- * more source code clean up.
- * begin working on the new object history handler.
- * fixed bug in object history add, strip out empty fields, spaces,
    newline chars, etc.
- * fixed bug in about dialog so it handles window manager close
    signals correct.

* Mon Feb  8 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.1-1]
- 1999-02-08 - release 0.3.1
- * gtk+ version check in configure.
- * source code clean up.
- * added whois.cdnnet.ca to server database.

* Wed Feb  3 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.3.0-1]
- 1999-02-02 - release 0.3.0
- * Added compiler optimize flags for Alpha 21164/EV5
- * Created GNU autoconf/automake package.
- * added whois.sics.se to server database.
- * added whois.uk.com to server database.
- * added whois.gb.com to server database.
- * added whois.gb.net to server database.
- * added whois.ripn.net to server database.
- * added whois.stanford.edu to server database.

* Wed Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.9-1]
- 1999-01-19 - release 0.2.9
- * Tooltips for whois servers added.
- * added whois.nic.tm to server database.
- * added whois.nic.tj to server database.
- * added whois.nic.sh to server database.
- * added whois.nic.lk to server database.
- * added whois.nic.pw to server database.
- * added whois.nic.li to server database.
- * added whois.nic.hm to server database.
- * added whois.nic.bt to server database.
- * added whois.nic.as to server database.
- * added whois.nic.af to server database.

* Mon Jan 18 1999 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.8-1]
- 1999-01-17 - release 0.2.8
- * fixed buffer overflow bug that causes seg fault on big querys.
- * added whois.nic.br to server database.
- * added whois.dns.pt to server database.

* Mon Dec 28 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.7-1]
- 1998-12-27 - release 0.2.7
  * source cleanup.
  * added whois.nic.cx to server database.
  * added whois.nic.mx to server database.
  * added whois.nic.ch to server database.

* Mon Dec 21 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.6-1]
- Changes since 0.2.6:
  fixed Solaris 2.5.x snprintf() bug, should compile ok now.

* Fri Nov 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [xwhois-0.2.5-1]
- Moved from using Fryguy_ to Ryan Weaver.
- PGP signing RPMS.
- Changes since 0.2.4:
  minor source and package updates.

* Wed Nov 11 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.4-1]
- Changes since 0.2.3:
  added object history and fixed some SysV compatibily issues in Makefile.

* Fri Oct 23 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.3-1]
- Changes since 0.2.2:
  maintaince release, minor bugfixes.

* Tue Oct 20 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.2-1]
- Changes since 0.2.1:
  cleaned up Makefile a bit and fixed some GUI glitches.
- Changes since 0.2.0:
  fixed bug in network code so it wont seg fault if resolve is unsuccessful

* Mon Oct 12 1998 Fryguy_ <fryguy@falsehope.com>
  [xwhois-0.2.0-1]
- Changes since 0.1.9:
  added help button and fixed minor GUI glitches.
